//==============================================================================
//
//   RedrawViewAction.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: RedrawViewAction.java,v 1.2 2003/08/02 09:19:55 holleis Exp $

package org.graffiti.editor.actions;

import java.awt.event.ActionEvent;

import java.util.Iterator;
import java.util.List;

import org.graffiti.editor.MainFrame;

import org.graffiti.event.GraphEvent;

import org.graffiti.help.HelpContext;

import org.graffiti.plugin.actions.GraffitiAction;
import org.graffiti.plugin.view.View;

import org.graffiti.session.EditorSession;

/**
 * The action for a new graph.
 *
 * @version $Revision: 1.2 $
 */
public class RedrawViewAction
    extends GraffitiAction
{
    //~ Constructors ===========================================================

    /**
     * Creates a new RedrawViewAction object.
     *
     * @param mainFrame DOCUMENT ME!
     */
    public RedrawViewAction(MainFrame mainFrame)
    {
        super("edit.redraw", mainFrame);
    }

    //~ Methods ================================================================

    /**
     * @see javax.swing.Action#isEnabled()
     */
    public boolean isEnabled()
    {
        //did not find out how can switch from disabled to enabled
        //nobody asks isEnabled any more?!
        return true;

        //		EditorSession dv = mainFrame.getActiveEditorSession();
        //		if (dv == null) return false;
        //		
        //		List views = dv.getViews();
        //		return !views.isEmpty();
    }

    /**
     * @see org.graffiti.plugin.actions.GraffitiAction#getHelpContext()
     */
    public HelpContext getHelpContext()
    {
        return null;
    }

    /**
     * DOCUMENT ME!
     *
     * @param e DOCUMENT ME!
     */
    public void actionPerformed(ActionEvent e)
    {
        EditorSession dv = mainFrame.getActiveEditorSession();

        // hack till i find out how to do the enabling correctly
        if(dv == null)
            return;

        List views = dv.getViews();

        for(Iterator it = views.iterator(); it.hasNext();)
        {
            View view = (View) it.next();
            view.postGraphCleared(new GraphEvent(dv.getGraph()));
            view.setGraph(dv.getGraph());
            mainFrame.fireSessionChanged(dv);
        }

        mainFrame.updateActions();
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
