//==============================================================================
//
//   GraphicAttributeConstants.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: GraphicAttributeConstants.java,v 1.2 2003/08/02 09:19:56 holleis Exp $

package org.graffiti.graphics;

import java.awt.BasicStroke;

import org.graffiti.attributes.Attribute;

/**
 * Defines constants used when accessing graphics attributes.
 */
public interface GraphicAttributeConstants
{
    //~ Static fields/initializers =============================================

    // the names of the graphic attributes

    /** DOCUMENT ME! */
    public static final String GRAPHICS = "graphics";

    /** DOCUMENT ME! */
    public static final String BGIMAGE = "backgroundImage";

    /** DOCUMENT ME! */
    public static final String FRAMECOLOR = "framecolor";

    /** DOCUMENT ME! */
    public static final String FILLCOLOR = "fillcolor";

    /** DOCUMENT ME! */
    public static final String ARROWHEAD = "arrowhead";

    /** DOCUMENT ME! */
    public static final String ARROWTAIL = "arrowtail";

    /** DOCUMENT ME! */
    public static final String THICKNESS = "thickness";

    /** DOCUMENT ME! */
    public static final String DOCKING = "docking";

    /** DOCUMENT ME! */
    public static final String LINETYPE = "linetype";

    /** DOCUMENT ME! */
    public static final String BENDS = "bends";

    /** DOCUMENT ME! */
    public static final String LABEL = "label";

    /** DOCUMENT ME! */
    public static final String FRAMETHICKNESS = "frameThickness";

    /** DOCUMENT ME! */
    public static final String LINEMODE = "linemode";

    /** DOCUMENT ME! */
    public static final String COORDINATE = "coordinate";

    /** DOCUMENT ME! */
    public static final String DIMENSION = "dimension";

    /** DOCUMENT ME! */
    public static final String SHAPE = "shape";

    /** DOCUMENT ME! */
    public static final String SHAPEDESCRIPTION = "shapedescription";

    /** DOCUMENT ME! */
    public static final String PORT = "port";

    /** DOCUMENT ME! */
    public static final String PORTS = "ports";

    /** DOCUMENT ME! */
    public static final String SOURCE = "source";

    /** DOCUMENT ME! */
    public static final String TARGET = "target";

    /** DOCUMENT ME! */
    public static final String RED = "red";

    /** DOCUMENT ME! */
    public static final String GREEN = "green";

    /** DOCUMENT ME! */
    public static final String BLUE = "blue";

    /** DOCUMENT ME! */
    public static final String OPAC = "transparency";

    /** DOCUMENT ME! */
    public static final String X = "x";

    /** DOCUMENT ME! */
    public static final String Y = "y";

    /** DOCUMENT ME! */
    public static final String HEIGHT = "height";

    /** DOCUMENT ME! */
    public static final String WIDTH = "width";

    /** DOCUMENT ME! */
    public static final String NAME = "name";

    /** DOCUMENT ME! */
    public static final String TILED = "tiled";

    /** DOCUMENT ME! */
    public static final String MAXIMIZE = "maximize";

    /** DOCUMENT ME! */
    public static final String IMAGE = "image";

    /** DOCUMENT ME! */
    public static final String REF = "reference";

    /** DOCUMENT ME! */
    public static final String POSITION = "position";

    /** DOCUMENT ME! */
    public static final String ALIGNMENT = "alignment";

    /** DOCUMENT ME! */
    public static final String FONT = "font";

    /** DOCUMENT ME! */
    public static final String TEXTCOLOR = "textcolor";

    // for NodeLabelPosition:

    /** DOCUMENT ME! */
    public static final String RELVERT = "relVert";

    /** DOCUMENT ME! */
    public static final String RELHOR = "relHor";

    /** DOCUMENT ME! */
    public static final String LOCALALIGN = "localAlign";

    // for EdgeLabelPosition:

    /** DOCUMENT ME! */
    public static final String RELALIGN = "relAlign";

    /** DOCUMENT ME! */
    public static final String ALIGNSEGMENT = "alignSegment";

    /** DOCUMENT ME! */
    public static final String ABSVERT = "absVert";

    /** DOCUMENT ME! */
    public static final String ABSHOR = "absHor";

    /** DOCUMENT ME! */
    public static final String IN = "ingoing";

    /** DOCUMENT ME! */
    public static final String OUT = "outgoing";

    /** DOCUMENT ME! */
    public static final String COMMON = "common";

    /** DOCUMENT ME! */
    public static final String STRAIGHTLINE = "straightline";

    /** DOCUMENT ME! */
    public static final String POLYLINE = "polyline";

    /** DOCUMENT ME! */
    public static final String SQUARESPLINE = "squarespline";

    /** DOCUMENT ME! */
    public static final String CUBICSPLINE = "cubicspline";

    /** DOCUMENT ME! */
    public static final String SMOOTHLINE = "smoothline";

    /** Constant used to specify the position of a label according to a node. */
    public static final String BELOW = "below";

    /** Constant used to specify the position of a label according to a node. */
    public static final String ABOVE = "above";

    /** Constant used to specify the position of a label according to a node. */
    public static final String RIGHT = "right";

    /** Constant used to specify the position of a label according to a node. */
    public static final String LEFT = "left";

    /** Constant used to specify the position of a label according to a node. */
    public static final String INSIDEBOTTOM = "insidebottom";

    /** Constant used to specify the position of a label according to a node. */
    public static final String INSIDETOP = "insidetop";

    /** Constant used to specify the position of a label according to a node. */
    public static final String CENTERED = "centered";

    /** Constant used to specify the position of a label according to a node. */
    public static final String BELOWRIGHT = "belowright";

    /** Constant used to specify the position of a label according to a node. */
    public static final String BELOWLEFT = "belowleft";

    /** Constant used to specify the position of a label according to a node. */
    public static final String ABOVELEFT = "aboveleft";

    /** Constant used to specify the position of a label according to a node. */
    public static final String ABOVERIGHT = "aboveright";

    /** Constant used to specify the position of a label according to a node. */
    public static final String NEARSOURCE = "nearsource";

    /** Constant used to specify the position of a label according to a node. */
    public static final String NEARTARGET = "neartarget";

    /**
     * Distance between a label and the surrounding rectangle of the  according
     * node.
     */
    public static final double LABEL_DISTANCE = 4.0d;

    /**
     * Path at which label attributes are placed in the attribute hierarchy by
     * defult.
     */
    public static final String LABEL_ATTRIBUTE_PATH = "";

    /** Path to coordinate attribute */
    public static final String COORD_PATH = GRAPHICS + Attribute.SEPARATOR +
        COORDINATE;

    /** Path to x-coordinate attribute */
    public static final String COORDX_PATH = COORD_PATH + Attribute.SEPARATOR +
        X;

    /** Path to y-coordinate attribute */
    public static final String COORDY_PATH = COORD_PATH + Attribute.SEPARATOR +
        Y;

    /** Path to dimension attribute */
    public static final String DIM_PATH = GRAPHICS + Attribute.SEPARATOR +
        DIMENSION;

    /** Path to width attribute */
    public static final String DIMW_PATH = DIM_PATH + Attribute.SEPARATOR +
        WIDTH;

    /** Path to height attribute */
    public static final String DIMH_PATH = DIM_PATH + Attribute.SEPARATOR +
        HEIGHT;

    /** Path to fill color attribute */
    public static final String FILLCOLOR_PATH = GRAPHICS + Attribute.SEPARATOR +
        FILLCOLOR;

    /** Path to outline color attribute */
    public static final String OUTLINE_PATH = GRAPHICS + Attribute.SEPARATOR +
        FRAMECOLOR;

    /** Path to line width attribute */
    public static final String LINEWIDTH_PATH = GRAPHICS + Attribute.SEPARATOR +
        FRAMETHICKNESS;

    /** Path to shape attribute */
    public static final String SHAPE_PATH = GRAPHICS + Attribute.SEPARATOR +
        SHAPE;

    /** Path to shape description attribute */
    public static final String SHAPE_DESC_PATH = GRAPHICS +
        Attribute.SEPARATOR + SHAPEDESCRIPTION;

    /** Path to bends attribute */
    public static final String BENDS_PATH = GRAPHICS + Attribute.SEPARATOR +
        BENDS;

    /** Path to ports attribute */
    public static final String PORTS_PATH = GRAPHICS + Attribute.SEPARATOR +
        PORTS;

    /** Path to docking attribute */
    public static final String DOCKING_PATH = GRAPHICS + Attribute.SEPARATOR +
        DOCKING;

    /** Path to frame thickness attribute */
    public static final String FRAMETHICKNESS_PATH = GRAPHICS +
        Attribute.SEPARATOR + FRAMETHICKNESS;

    /** rectangle node shape class name */
    public static final String RECTANGLE_CLASSNAME = "org.graffiti.plugins.views.defaults.RectangleNodeShape";

    /** ellipse node shape class name */
    public static final String ELLIPSE_CLASSNAME = "org.graffiti.plugins.views.defaults.EllipseNodeShape";

    /** closed polygonal shape class name */
    public static final String POLYCLOSED_CLASSNAME = "org.graffiti.plugins.views.defaults.PolygonalNodeShape";

    /** polyline edge shape class name */
    public static final String POLYLINE_CLASSNAME = "org.graffiti.plugins.views.defaults.PolyLineEdgeShape";

    /** simple straight line edge shape class name */
    public static final String STRAIGHTLINE_CLASSNAME = "org.graffiti.plugins.views.defaults.StraightLineEdgeShape";

    /** smooth line edge shape class name */
    public static final String SMOOTH_CLASSNAME = "org.graffiti.plugins.views.defaults.SmoothLineEdgeShape";

    /** quadratic spline edge shape class name */
    public static final String SQUARESPLINE_CLASSNAME = "org.graffiti.plugins.views.defaults.QuadCurveEdgeShape";

    /** cubic spline edge shape class name; not yet implemented. */
    public static final String CUBICSPLINE_CLASSNAME = "org.graffiti.plugins.views.defaults.CubicCurveEdgeShape";

    /**
     * The cap used by default.
     *
     * @see java.awt.BasicStroke
     */
    public static int DEFAULT_CAP = BasicStroke.CAP_BUTT;

    /**
     * The join used by default.
     *
     * @see java.awt.BasicStroke
     */
    public static int DEFAULT_JOIN = BasicStroke.JOIN_MITER;

    /**
     * The miter limit used by default.
     *
     * @see java.awt.BasicStroke
     */
    public static float DEFAULT_MITER = 10.0f;
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
