//==============================================================================
//
//   GraffitiComponent.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: GraffitiComponent.java,v 1.3 2003/11/10 17:27:12 forster Exp $

package org.graffiti.plugin.gui;

import org.graffiti.editor.MainFrame;

/**
 * Interface for all GUIComponents used in the editor. Provides the
 * <code>getPreferredComponent()</code> method.
 *
 * @version $Revision: 1.3 $
 */
public interface GraffitiComponent
{
    //~ Methods ================================================================

    /**
     * Sets the mainframe. The component's action can then work on it.
     *
     * @param mf see description.
     */
    public void setMainFrame(MainFrame mf);

    /**
     * Returns the id of the component this component should be placed in.
     *
     * @return the id of the component this component should be placed in.
     */
    public String getPreferredComponent();
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
