//==============================================================================
//
//   ToolButton.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: ToolButton.java,v 1.3 2003/11/10 17:27:12 forster Exp $

package org.graffiti.plugin.gui;

import javax.swing.ImageIcon;

import org.graffiti.plugin.tool.Tool;

/**
 * DOCUMENT ME!
 *
 * @author $Author: forster $
 * @version $Revision: 1.3 $ $Date: 2003/11/10 17:27:12 $
 */
public class ToolButton
    extends GraffitiToggleButton
    implements GraffitiToolComponent
{
    //~ Instance fields ========================================================

    /** The tool this button is identified with. */
    private Tool tool;

    //~ Constructors ===========================================================

    /**
     * Constructor that sets the buttons tool to the given <code>Tool</code>.
     *
     * @param t DOCUMENT ME!
     */
    public ToolButton(Tool t)
    {
        this.tool = t;
    }

    /**
     * Creates a new ToolButton object.
     *
     * @param t DOCUMENT ME!
     * @param preferredComponent DOCUMENT ME!
     */
    public ToolButton(Tool t, String preferredComponent)
    {
        super(preferredComponent);
        this.tool = t;
    }

    /**
     * Creates a new ToolButton object.
     *
     * @param t DOCUMENT ME!
     * @param preferredComponent DOCUMENT ME!
     * @param icon DOCUMENT ME!
     */
    public ToolButton(Tool t, String preferredComponent, ImageIcon icon)
    {
        super(preferredComponent, icon);
        this.tool = t;
    }

    /**
     * Creates a new ToolButton object.
     *
     * @param t DOCUMENT ME!
     * @param preferredComponent DOCUMENT ME!
     * @param text DOCUMENT ME!
     */
    public ToolButton(Tool t, String preferredComponent, String text)
    {
        super(text);
        this.tool = t;
    }

    //~ Methods ================================================================

    /**
     * @see org.graffiti.plugin.gui.GraffitiContainer#getId()
     */
    public String getId()
    {
        return getClass().getName();
    }

    /**
     * Returns the tool this button is identified with.
     *
     * @return the tool this button is identified with.
     */
    public Tool getTool()
    {
        return tool;
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
