//==============================================================================
//
//   ConstraintCheckerListener.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: ConstraintCheckerListener.java,v 1.2 2003/08/02 09:19:56 holleis Exp $

/*
 * $Id: ConstraintCheckerListener.java,v 1.2 2003/08/02 09:19:56 holleis Exp $
 */
package org.graffiti.session;

/**
 * Defines a listener to the <code>GraphConstraintChecker</code>. The method
 * <code>checkFailed</code> is called every time the
 * <code>GraphConstraintChecker</code> finds an unsatisfied constraint.
 *
 * @see GraphConstraintChecker
 */
public interface ConstraintCheckerListener
{
    //~ Methods ================================================================

    /**
     * Handles the message received by the constraint checker indicating an
     * unsatisfied constraint.
     *
     * @param msg the message telling about the unsatisfied constraint.
     */
    public void checkFailed(String msg);
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
