//==============================================================================
//
//   GraphElementsEdit.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: GraphElementsEdit.java,v 1.2 2003/08/12 07:36:56 wirch Exp $

package org.graffiti.undo;

import java.util.Map;

import org.graffiti.graph.Graph;

/**
 * <code>GraphElementsEdit</code> is abstract class for building edits belong
 * to the operations on graph elements like adding or removing.
 *
 * @author $Author: wirch $
 * @version $Revision: 1.2 $ $Date: 2003/08/12 07:36:56 $
 */
public abstract class GraphElementsEdit
    extends GraffitiAbstractUndoableEdit {
    //~ Instance fields ========================================================

    /** Necessary graph reference */
    protected Graph graph;

    //~ Constructors ===========================================================

    /**
     * Create a nes <code>GraphElementsEdit</code>.
     *
     * @param graph a graph reference
     * @param geMap reference to the map supports the undo operations.
     */
    public GraphElementsEdit(Graph graph, Map geMap) {
        super(geMap);
        this.graph = graph;
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
